Package twisted :: Package web :: Package woven :: Module utils :: Class WovenLivePage

[show private | hide private]
[frames | no frames]

## Class WovenLivePage

Method Summary
| `__init__(self, session)`
| ``getCurrentPage`(self)` Return the current page object contained in this session.
| ``hookupInputConduit`(self, obj)` Hook up the given object as the input conduit for this session.
| ``hookupOutputConduit`(self, request)` Hook up the given request as the output conduit for this session.
| ``pushThroughInputConduit`(self, inp)` Push some text through the input conduit.
| `sendScript(self, js)`
| ``setCurrentPage`(self, page)` Set the current page object contained in this session.
| `unhookOutputConduit(self)`
| ``write`(self, text)` Write "text" to the live page's persistent output conduit.

Class Variable Summary
`MetaInterface` | `__implements__`
`NoneType` | `currentPage`

Method Details

### getCurrentPage(self)

Return the current page object contained in this session.

### hookupInputConduit(self, obj)

Hook up the given object as the input conduit for this session.

### hookupOutputConduit(self, request)

Hook up the given request as the output conduit for this session.

### pushThroughInputConduit(self, inp)

Push some text through the input conduit.

### setCurrentPage(self, page)

Set the current page object contained in this session.

### write(self, text)

Write "text" to the live page's persistent output conduit. If there is no conduit connected yet, save the text and write it as soon as the output conduit is connected.

Class Variable Details

### __implements__

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.web.woven.interfaces.IWovenLivePage'>

### currentPage

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:17:07 2003 | http://epydoc.sf.net